#!/bin/sh

EXAMPLES_FOUND=0

if [ -d Debug/Examples ];
then
	EXAMPLES_FOUND=1
	cd Debug/Examples;
fi

if [ -d Release/Examples ];
then
	EXAMPLES_FOUND=1
	cd Release/Examples;
fi

if [ $EXAMPLES_FOUND = 0 ];
then
	echo "ERROR: Examples directory not found"
	exit 1
fi

# get all files
EXAMPLES=$(find . -perm -u+x)

echo $EXAMPLES

for i in $EXAMPLES;
do
	if [ $i != "." ];
	then
		echo "############## Executing $i ################"
		$i
		echo "############## Finished $i #################"
		echo
	fi
done